Page MenuHomePhabricator

[Task] Ignore stale usage entries when processing changes
Closed, InvalidPublic

Description

AffectedPagesFinder should ignore stale usage entries. To that end, SqlUsageTracker needs to join the usage entries against the page table and compare page_touched to eu_touched.

NOTE: this may not be needed at all, since we purge on LinksUpdateComplete

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.May 18 2015, 10:30 AM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel added subscribers: daniel, Aklapper, Rical and 5 others.
daniel claimed this task.May 18 2015, 12:48 PM
daniel set Security to None.
daniel moved this task from Backlog to Doing on the Wikidata-Sprint-2015-05-05 board.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 18 2015, 3:23 PM
Rical removed a subscriber: Rical.May 18 2015, 9:23 PM
daniel lowered the priority of this task from High to Normal.May 19 2015, 10:51 AM

This may not be necessary. If we prune stale usage info not only on ArticleEditUpdates, but also on LinksUpdate, we should not have stale usage tracking entries in the database for long. So it would not be necessary to filter them out when looking up usages.

Given pruning on LinksUpdate, filtering stale entries on lookup would be purely defensive. I'm not sure that is worth the additional cost of joining against the page table.

Dropped this from the sprint for now, and flagged it for further discussion.

daniel updated the task description. (Show Details)Jun 3 2015, 12:53 PM
Jonas renamed this task from Ignore stale usage entries when processing changes to [Task] Ignore stale usage entries when processing changes.Nov 2 2015, 3:31 PM
hoo closed this task as Invalid.Aug 10 2016, 11:23 PM

No longer relevant, eu_touched, doesn't exist anymore.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 10 2016, 11:23 PM